View Issue Details

IDProjectCategoryView StatusLast Update
0000092Bacula-Webfeaturepublic2018-02-23 12:29
ReporterdavideAssigned Todavide 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version6.0.0 
Target Version8.0.0-rc2Fixed in Version8.0.0-rc2 
Summary0000092: Implement user authentication
DescriptionImplement user(s) authentication and permissions mechanisms in Bacula-Web
TagsNo tags attached.

Activities

sethgali

2013-03-02 23:59

reporter   ~0000227

Would you consider LDAP integration for auth as an option?

Thanks.
Seth

davide

2013-03-04 10:15

manager   ~0000228

That would be a good option, I'll include this option in a second phase.

Regards

davide

2016-04-17 15:43

manager   ~0000535

Local user(s) authentication will come in next major release (8.0.0).

LDAP integration will come later

davide

2018-02-23 12:26

manager   ~0000725

Last edited: 2018-02-23 12:29

View 3 revisions

User authentication feature has been implemented in commit below
https://github.com/bacula-web/bacula-web/commit/ee194e92ade8227ae30e9b88fc1ebe76b03e370d
It will be included in next release candidate

Issue History

Date Modified Username Field Change
2013-03-02 11:29 davide New Issue
2013-03-02 11:29 davide Status new => assigned
2013-03-02 11:29 davide Assigned To => davide
2013-03-02 23:59 sethgali Note Added: 0000227
2013-03-04 10:15 davide Note Added: 0000228
2013-08-11 23:40 davide Category feature => security
2013-08-11 23:40 davide Product Version 5.2.12 => 6.0.0
2014-12-09 16:18 davide Category security => feature/security
2016-04-17 15:40 davide Category feature/security => security-issue
2016-04-17 15:41 davide Category security-issue => feature
2016-04-17 15:41 davide Target Version => 8.0.0-rc1
2016-04-17 15:43 davide Note Added: 0000535
2017-09-27 16:49 davide Target Version 8.0.0-rc1 => 8.0.0-rc2
2018-02-23 12:26 davide Note Added: 0000725
2018-02-23 12:26 davide Note Edited: 0000725 View Revisions
2018-02-23 12:26 davide Status assigned => resolved
2018-02-23 12:26 davide Resolution open => fixed
2018-02-23 12:26 davide Fixed in Version => 8.0.0-rc2
2018-02-23 12:29 davide Note Edited: 0000725 View Revisions